CSINH(3)

NAME
csinh, csinhf, csinhl - complex hyperbolic sine

SYNOPSIS
#include <complex.h>

double complex csinh(double complex z);
float complex csinhf(float complex z);
long double complex csinhl(long double complex z);

Link with -lm.

DESCRIPTION
The complex hyperbolic sine function is defined as:
    csinh(z) = (exp(z)-exp(-z))/2

VERSIONS
These functions first appeared in glibc in version 2.1.

CONFORMING TO
C99.

SEE ALSO
cabs(3), ccosh(3), ctanh(3), complex(7)

COLOPHON
This page is part of release 3.24 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.